Index: trunk/source/geometry/navigation/src/G4GeometryMessenger.cc
===================================================================
--- trunk/source/geometry/navigation/src/G4GeometryMessenger.cc	(revision 1227)
+++ trunk/source/geometry/navigation/src/G4GeometryMessenger.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeometryMessenger.cc,v 1.5 2006/06/29 18:36:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/navigation/src/G4MultiLevelLocator.cc
===================================================================
--- trunk/source/geometry/navigation/src/G4MultiLevelLocator.cc	(revision 1227)
+++ trunk/source/geometry/navigation/src/G4MultiLevelLocator.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4MultiLevelLocator.cc,v 1.5 2008/12/11 10:01:02 tnikitin Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Class G4MultiLevelLocator implementation
Index: trunk/source/geometry/navigation/src/G4NormalNavigation.cc
===================================================================
--- trunk/source/geometry/navigation/src/G4NormalNavigation.cc	(revision 1227)
+++ trunk/source/geometry/navigation/src/G4NormalNavigation.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NormalNavigation.cc,v 1.9 2007/05/11 13:43:59 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/navigation/src/G4ParameterisedNavigation.cc
===================================================================
--- trunk/source/geometry/navigation/src/G4ParameterisedNavigation.cc	(revision 1227)
+++ trunk/source/geometry/navigation/src/G4ParameterisedNavigation.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParameterisedNavigation.cc,v 1.12 2007/11/09 16:06:02 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/navigation/src/G4PropagatorInField.cc
===================================================================
--- trunk/source/geometry/navigation/src/G4PropagatorInField.cc	(revision 1227)
+++ trunk/source/geometry/navigation/src/G4PropagatorInField.cc	(revision 1228)
@@ -36,4 +36,6 @@
 // 17.03.97 John Apostolakis,   renaming new set functions being added
 //
+// $Id: G4PropagatorInField.cc,v 1.50 2009/12/10 08:41:54 japost Exp $
+// GEANT4 tag $ Name:  $
 // ---------------------------------------------------------------------------
 
@@ -69,4 +71,5 @@
     fUseSafetyForOptimisation(true),   // (false) is less sensitive to incorrect safety
     fSetFieldMgr(false),
+    fZeroStepThreshold( 0.0 ), 
     fpTrajectoryFilter( 0 )
 {
@@ -83,4 +86,11 @@
   fPreviousSafety= 0.0;
   kCarTolerance = G4GeometryTolerance::GetInstance()->GetSurfaceTolerance();
+  fZeroStepThreshold= std::max( 1.0e5 * kCarTolerance, 1.0e-1 * micrometer ) ; 
+#ifdef G4DEBUG_FIELD
+  G4cout << " PiF: Zero Step Threshold set to " << fZeroStepThreshold / millimeter
+	 << " mm." << G4endl;
+  G4cout << " PiF:   Value of kCarTolerance = " << kCarTolerance / millimeter 
+	 << " mm. " << G4endl;
+#endif 
 
   // Definding Intersection Locator and his parameters
@@ -92,15 +102,21 @@
     fAllocatedLocator=false;
   }
+  RefreshIntersectionLocator();  //  Copy all relevant parameters 
+}
+
+G4PropagatorInField::~G4PropagatorInField()
+{
+  if(fAllocatedLocator)delete  fIntersectionLocator; 
+}
+
+// Update the IntersectionLocator with current parameters
+void
+G4PropagatorInField::RefreshIntersectionLocator()
+{
   fIntersectionLocator->SetEpsilonStepFor(fEpsilonStep);
-  fIntersectionLocator->SetDeltaIntersectionFor(GetDeltaIntersection());
+  fIntersectionLocator->SetDeltaIntersectionFor(fCurrentFieldMgr->GetDeltaIntersection());
   fIntersectionLocator->SetChordFinderFor(GetChordFinder());
   fIntersectionLocator->SetSafetyParametersFor( fUseSafetyForOptimisation);
 }
-
-G4PropagatorInField::~G4PropagatorInField()
-{
-  if(fAllocatedLocator)delete  fIntersectionLocator; 
-}
-
 ///////////////////////////////////////////////////////////////////////////
 //
@@ -114,5 +130,6 @@
                 G4VPhysicalVolume* pPhysVol)
 {
-  
+  const G4String MethodName("G4PropagatorInField::ComputeStep");
+   
   // If CurrentProposedStepLength is too small for finding Chords
   // then return with no action (for now - TODO: some action)
@@ -152,10 +169,7 @@
   GetChordFinder()->SetChargeMomentumMass(fCharge, fInitialMomentumModulus, fMass); 
 
- // Values for Intersection Locator has to be updated on each call
- // because the CurrentFieldManager changes
-    fIntersectionLocator->SetChordFinderFor(GetChordFinder());
-    fIntersectionLocator->SetSafetyParametersFor( fUseSafetyForOptimisation);
-    fIntersectionLocator->SetEpsilonStepFor(fEpsilonStep);
-    fIntersectionLocator->SetDeltaIntersectionFor(GetDeltaIntersection()); 
+ // Values for Intersection Locator has to be updated on each call for the
+ // case that CurrentFieldManager has changed from the one of previous step
+  RefreshIntersectionLocator();
 
   G4FieldTrack  CurrentState(pFieldTrack);
@@ -177,5 +191,5 @@
                                            fLargestAcceptableStep ); 
   }
-  epsilon = GetDeltaOneStep() / CurrentProposedStepLength;
+  epsilon = fCurrentFieldMgr->GetDeltaOneStep() / CurrentProposedStepLength;
   // G4double raw_epsilon= epsilon;
   G4double epsilonMin= fCurrentFieldMgr->GetMinimumEpsilonStep();
@@ -200,9 +214,9 @@
     G4double decreaseFactor = 0.9; // Unused default
     if(   (fNoZeroStep < fSevereActionThreshold_NoZeroSteps)
-       && (stepTrial > 1000.0*kCarTolerance) )
+       && (stepTrial > 100.0*fZeroStepThreshold) )
     {
-      // Ensure quicker convergence
+      // Attempt quick convergence
       //
-      decreaseFactor= 0.1;
+      decreaseFactor= 0.25;
     } 
     else
@@ -212,9 +226,9 @@
       // Careful decreases to cope with tolerance are required.
       //
-      if( stepTrial > 1000.0*kCarTolerance )
-        decreaseFactor = 0.25;     // Try slow decreases
-      else if( stepTrial > 100.0*kCarTolerance )
-        decreaseFactor= 0.5;       // Try slower decreases
-      else if( stepTrial > 10.0*kCarTolerance )
+      if( stepTrial > 100.0*fZeroStepThreshold )
+        decreaseFactor = 0.35;     // Try decreasing slower
+      else if( stepTrial > 100.0*fZeroStepThreshold )
+        decreaseFactor= 0.5;       // Try yet slower decreases
+      else if( stepTrial > 10.0*fZeroStepThreshold )
         decreaseFactor= 0.75;      // Try even slower decreases
       else
@@ -224,8 +238,13 @@
 
 #ifdef G4DEBUG_FIELD
+     G4cout << MethodName << ": " 
+	    << " Decreasing step -  " 
+	    << " decreaseFactor= " << std::setw(8) << decreaseFactor 
+	    << " stepTrial = "     << std::setw(18) << stepTrial << " "
+	    << " fZeroStepThreshold = " << fZeroStepThreshold << G4endl;
      PrintStepLengthDiagnostic(CurrentProposedStepLength, decreaseFactor,
                                stepTrial, pFieldTrack);
 #endif
-     if( stepTrial == 0.0 )
+     if( stepTrial == 0.0 )  //  Change to make it < 0.1 * kCarTolerance ??
      {
        G4cout << " G4PropagatorInField::ComputeStep "
@@ -403,8 +422,15 @@
   // and only take corrective action when they occur.
   // 
-  if( TruePathLength < 0.5*kCarTolerance ) 
+  if( ( (TruePathLength < fZeroStepThreshold) 
+	&& ( TruePathLength+kCarTolerance < CurrentProposedStepLength  ) 
+	) 
+      || ( TruePathLength < 0.5*kCarTolerance )
+    )
+  {
     fNoZeroStep++;
-  else
+  }
+  else{
     fNoZeroStep = 0;
+  }
 
   if( fNoZeroStep > fAbandonThreshold_NoZeroSteps ) { 
@@ -552,11 +578,31 @@
                     const G4FieldTrack& )
 {
+#if 0
   G4cout << " PiF: NoZeroStep= " << fNoZeroStep
          << " CurrentProposedStepLength= " << CurrentProposedStepLength
          << " Full_curvelen_last=" << fFull_CurveLen_of_LastAttempt
          << " last proposed step-length= " << fLast_ProposedStepLength 
-         << " decreate factor = " << decreaseFactor
+         << " decrease factor = " << decreaseFactor
          << " step trial = " << stepTrial
          << G4endl;
+#endif
+  int  iprec= G4cout.precision(8); 
+  G4cout << " " << std::setw(12) << " PiF: NoZeroStep " 
+         << " " << std::setw(20) << " CurrentProposed len " 
+         << " " << std::setw(18) << " Full_curvelen_last" 
+         << " " << std::setw(18) << " last proposed len " 
+         << " " << std::setw(18) << " decrease factor   " 
+         << " " << std::setw(15) << " step trial  " 
+         << G4endl;
+
+  G4cout << " " << std::setw(10) << fNoZeroStep << "  "
+         << " " << std::setw(20) << CurrentProposedStepLength
+         << " " << std::setw(18) << fFull_CurveLen_of_LastAttempt
+         << " " << std::setw(18) << fLast_ProposedStepLength 
+         << " " << std::setw(18) << decreaseFactor
+         << " " << std::setw(15) << stepTrial
+         << G4endl;
+  G4cout.precision( iprec ); 
+
 }
 
@@ -617,8 +663,21 @@
   if( pCurrentPhysicalVolume)
   {
-     G4FieldManager *newFieldMgr = 0;
-     newFieldMgr= pCurrentPhysicalVolume->GetLogicalVolume()->GetFieldManager();
-     if ( newFieldMgr ) 
-        currentFieldMgr = newFieldMgr;
+     G4FieldManager *pRegionFieldMgr= 0, *localFieldMgr = 0;
+     G4LogicalVolume* pLogicalVol= pCurrentPhysicalVolume->GetLogicalVolume();
+
+     if( pLogicalVol ) { 
+	// Value for Region, if any, Overrides 
+	G4Region*  pRegion= pLogicalVol->GetRegion();
+	if( pRegion ) { 
+	   pRegionFieldMgr= pRegion->GetFieldManager();
+	   if( pRegionFieldMgr ) 
+	     currentFieldMgr= pRegionFieldMgr;
+	}
+
+	// 'Local' Value from logical volume, if any, Overrides 
+	localFieldMgr= pLogicalVol->GetFieldManager();
+	if ( localFieldMgr ) 
+	   currentFieldMgr = localFieldMgr;
+     }
   }
   fCurrentFieldMgr= currentFieldMgr;
Index: trunk/source/geometry/navigation/src/G4ReplicaNavigation.cc
===================================================================
--- trunk/source/geometry/navigation/src/G4ReplicaNavigation.cc	(revision 1227)
+++ trunk/source/geometry/navigation/src/G4ReplicaNavigation.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ReplicaNavigation.cc,v 1.19 2008/04/28 15:39:55 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/navigation/src/G4SimpleLocator.cc
===================================================================
--- trunk/source/geometry/navigation/src/G4SimpleLocator.cc	(revision 1227)
+++ trunk/source/geometry/navigation/src/G4SimpleLocator.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4SimpleLocator.cc,v 1.5 2008/12/11 10:27:58 tnikitin Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Class G4SimpleLocator implementation
Index: trunk/source/geometry/navigation/src/G4TransportationManager.cc
===================================================================
--- trunk/source/geometry/navigation/src/G4TransportationManager.cc	(revision 1227)
+++ trunk/source/geometry/navigation/src/G4TransportationManager.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TransportationManager.cc,v 1.15 2007/04/12 11:51:48 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/navigation/src/G4VIntersectionLocator.cc
===================================================================
--- trunk/source/geometry/navigation/src/G4VIntersectionLocator.cc	(revision 1227)
+++ trunk/source/geometry/navigation/src/G4VIntersectionLocator.cc	(revision 1228)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4VIntersectionLocator.cc,v 1.5 2009/05/15 12:58:23 tnikitin Exp $
-// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+// $Id: G4VIntersectionLocator.cc,v 1.7 2009/11/27 15:21:59 japost Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Class G4VIntersectionLocator implementation
@@ -43,10 +43,14 @@
 // Constructor
 //
-G4VIntersectionLocator:: G4VIntersectionLocator(G4Navigator *theNavigator)
+G4VIntersectionLocator:: G4VIntersectionLocator(G4Navigator *theNavigator): 
+  fUseNormalCorrection(false), 
+  fiNavigator( theNavigator ),
+  fiChordFinder( 0 ),            // Not set - overridden at each step
+  fiEpsilonStep( -1.0 ),         // Out of range - overridden at each step
+  fiDeltaIntersection( -1.0 ),   // Out of range - overridden at each step
+  fiUseSafety(false)             // Default - overridden at each step
 {
   kCarTolerance = G4GeometryTolerance::GetInstance()->GetSurfaceTolerance();
-  fiNavigator = theNavigator;
   fVerboseLevel = 0;
-  fUseNormalCorrection = false;
   fHelpingNavigator = new G4Navigator();
 }      
@@ -191,10 +195,11 @@
      if (std::abs(advanceLength)<kCarTolerance)
      {
-       advanceLength=(EstimatedEndStateB.GetPosition()
-                     -newEndPoint.GetPosition()).mag();
+       goodAdvance=true;
      }
+     else{
      goodAdvance= 
        integrDriver->AccurateAdvance(newEndPoint, advanceLength,
                                      GetEpsilonStepFor());
+     }
   }
   while( !goodAdvance && (++itrial < no_trials) );
Index: trunk/source/geometry/navigation/src/G4VoxelNavigation.cc
===================================================================
--- trunk/source/geometry/navigation/src/G4VoxelNavigation.cc	(revision 1227)
+++ trunk/source/geometry/navigation/src/G4VoxelNavigation.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VoxelNavigation.cc,v 1.9 2008/11/14 18:26:35 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/solids/BREPS/include/G4Assembly.hh
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4Assembly.hh	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4Assembly.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Assembly.hh,v 1.10 2006/06/29 18:37:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4Assembly.icc
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4Assembly.icc	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4Assembly.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Assembly.icc,v 1.4 2006/06/29 18:37:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4Axis2Placement3D.hh
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4Axis2Placement3D.hh	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4Axis2Placement3D.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Axis2Placement3D.hh,v 1.5 2006/06/29 18:37:38 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4Axis2Placement3D.icc
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4Axis2Placement3D.icc	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4Axis2Placement3D.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Axis2Placement3D.icc,v 1.9 2006/06/29 18:37:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4BREPSolid.hh
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4BREPSolid.hh	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4BREPSolid.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BREPSolid.hh,v 1.17 2006/10/19 15:35:36 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4BREPSolid.icc
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4BREPSolid.icc	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4BREPSolid.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BREPSolid.icc,v 1.9 2006/10/20 14:23:19 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4BREPSolidBox.hh
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4BREPSolidBox.hh	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4BREPSolidBox.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BREPSolidBox.hh,v 1.10 2008/01/22 16:03:13 tnikitin Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4BREPSolidCone.hh
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4BREPSolidCone.hh	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4BREPSolidCone.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BREPSolidCone.hh,v 1.11 2006/06/29 18:37:51 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4BREPSolidCylinder.hh
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4BREPSolidCylinder.hh	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4BREPSolidCylinder.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BREPSolidCylinder.hh,v 1.10 2006/06/29 18:37:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4BREPSolidOpenPCone.hh
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4BREPSolidOpenPCone.hh	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4BREPSolidOpenPCone.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BREPSolidOpenPCone.hh,v 1.9 2006/06/29 18:37:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4BREPSolidPCone.hh
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4BREPSolidPCone.hh	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4BREPSolidPCone.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BREPSolidPCone.hh,v 1.14 2006/06/29 18:37:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4BREPSolidPolyhedra.hh
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4BREPSolidPolyhedra.hh	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4BREPSolidPolyhedra.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BREPSolidPolyhedra.hh,v 1.14 2006/06/29 18:37:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4BREPSolidSphere.hh
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4BREPSolidSphere.hh	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4BREPSolidSphere.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BREPSolidSphere.hh,v 1.11 2006/06/29 18:38:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4BREPSolidTorus.hh
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4BREPSolidTorus.hh	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4BREPSolidTorus.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BREPSolidTorus.hh,v 1.10 2006/06/29 18:38:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4BSplineCurve.hh
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4BSplineCurve.hh	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4BSplineCurve.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BSplineCurve.hh,v 1.13 2006/06/29 18:38:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4BSplineCurve.icc
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4BSplineCurve.icc	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4BSplineCurve.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BSplineCurve.icc,v 1.7 2006/06/29 18:38:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4BSplineCurveWithKnots.hh
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4BSplineCurveWithKnots.hh	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4BSplineCurveWithKnots.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BSplineCurveWithKnots.hh,v 1.5 2006/06/29 18:38:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4BSplineSurface.hh
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4BSplineSurface.hh	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4BSplineSurface.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BSplineSurface.hh,v 1.11 2006/06/29 18:38:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4BSplineSurface.icc
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4BSplineSurface.icc	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4BSplineSurface.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BSplineSurface.icc,v 1.6 2006/06/29 18:38:14 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4BSplineSurfaceWithKnots.hh
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4BSplineSurfaceWithKnots.hh	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4BSplineSurfaceWithKnots.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BSplineSurfaceWithKnots.hh,v 1.4 2006/06/29 18:38:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4BezierSurface.hh
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4BezierSurface.hh	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4BezierSurface.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BezierSurface.hh,v 1.7 2006/06/29 18:38:20 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4BezierSurface.icc
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4BezierSurface.icc	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4BezierSurface.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BezierSurface.icc,v 1.4 2006/06/29 18:38:22 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4BoundingBox3D.hh
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4BoundingBox3D.hh	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4BoundingBox3D.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BoundingBox3D.hh,v 1.7 2007/05/11 13:49:31 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4BoundingBox3D.icc
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4BoundingBox3D.icc	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4BoundingBox3D.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4BoundingBox3D.icc,v 1.4 2006/06/29 18:38:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4CircularCurve.hh
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4CircularCurve.hh	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4CircularCurve.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CircularCurve.hh,v 1.9 2006/06/29 18:38:30 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4CircularCurve.icc
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4CircularCurve.icc	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4CircularCurve.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CircularCurve.icc,v 1.6 2006/06/29 18:38:32 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4CompositeCurve.hh
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4CompositeCurve.hh	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4CompositeCurve.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CompositeCurve.hh,v 1.8 2006/06/29 18:38:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4CompositeCurve.icc
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4CompositeCurve.icc	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4CompositeCurve.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4CompositeCurve.icc,v 1.5 2006/06/29 18:38:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4Conic.hh
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4Conic.hh	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4Conic.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Conic.hh,v 1.7 2006/06/29 18:38:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4Conic.icc
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4Conic.icc	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4Conic.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Conic.icc,v 1.4 2006/06/29 18:38:42 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4ConicalSurface.hh
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4ConicalSurface.hh	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4ConicalSurface.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ConicalSurface.hh,v 1.10 2006/06/29 18:38:44 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/solids/BREPS/include/G4ConicalSurface.icc
===================================================================
--- trunk/source/geometry/solids/BREPS/include/G4ConicalSurface.icc	(revision 1227)
+++ trunk/source/geometry/solids/BREPS/include/G4ConicalSurface.icc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ConicalSurface.icc,v 1.4 2006/06/29 18:38:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // --------------------------------------------------------------------
